Batch import contacts
curl --request POST \
--url https://{notifuseDomain}/api/contacts.import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "ws_1234567890",
"contacts": [
{
"email": "user1@example.com",
"first_name": "John",
"last_name": "Doe"
},
{
"email": "user2@example.com",
"first_name": "Jane",
"last_name": "Smith"
}
],
"subscribe_to_lists": [
"newsletter",
"product_updates"
]
}
'import requests
url = "https://{notifuseDomain}/api/contacts.import"
payload = {
"workspace_id": "ws_1234567890",
"contacts": [
{
"email": "user1@example.com",
"first_name": "John",
"last_name": "Doe"
},
{
"email": "user2@example.com",
"first_name": "Jane",
"last_name": "Smith"
}
],
"subscribe_to_lists": ["newsletter", "product_updates"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: 'ws_1234567890',
contacts: [
{email: 'user1@example.com', first_name: 'John', last_name: 'Doe'},
{email: 'user2@example.com', first_name: 'Jane', last_name: 'Smith'}
],
subscribe_to_lists: ['newsletter', 'product_updates']
})
};
fetch('https://{notifuseDomain}/api/contacts.import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operations": [
{
"email": "user@example.com",
"action": "create",
"error": null
}
],
"error": null
}Contacts
Batch import contacts
Creates or updates multiple contacts in a single batch operation. This is significantly more efficient than individual upsert operations. Optionally subscribes all contacts to specified lists.
POST
/
api
/
contacts.import
Batch import contacts
Authorizations
API token for authentication
Body
application/json
The ID of the workspace
Example:
"ws_1234567890"
Array of contacts to import (create or update)
Minimum array length:
1Show child attributes
Show child attributes
Example:
[
{
"email": "user1@example.com",
"first_name": "John",
"last_name": "Doe"
},
{
"email": "user2@example.com",
"first_name": "Jane",
"last_name": "Smith"
}
]
Optional array of list IDs to subscribe all contacts to
Example:
["newsletter", "product_updates"]
⌘I
